<template>
  <v-app>
    <Menu/>

    <v-card>
      <v-container fluid grid-list-lg>
        <v-layout row wrap>
          <v-flex xs6 v-for="post in posts">
            <v-card color="blue-grey darken-2" class="white--text">
              <v-card-title primary-title>
                <div>
                  <div class="headline">
                    <router-link v-bind:to="'/post/' + post.id">{{ post.title }}</router-link>
                  </div>
                  <p>
                    <small>Автор: {{post.author_username}}</small>
                  </p>
                  <p>{{post.text}}</p>
                </div>
              </v-card-title>
              <v-card-actions>
                <v-btn flat dark v-bind:to="'/post/' + post.id">Читать полностью</v-btn>
              </v-card-actions>
            </v-card>
          </v-flex>

        </v-layout>
      </v-container>
    </v-card>
  </v-app>
</template>

<script>
  import axios from 'axios'
  import Menu from '../components/Menu'

  export default {
    name: 'home',
    components: {
      Menu
    },
    data() {
      return {
        posts: null,
        endpoint: '/api/posts?approved=true',
      }
    },

    created() {
      this.getAllPosts();
    },

    methods: {
      getAllPosts() {
        axios.get(this.endpoint)
          .then(response => {
            this.posts = response.data;
          })
          .catch(error => {
            console.log('-----error-------');
            console.log(error);
          })
      }
    }
  }
</script>

<style lang="scss" scoped>
  a {
    color: white;
    text-decoration: none;
  }

</style>
